---
title: CSS.supports()
slug: Web/API/CSS/supports
tags:
  - API
  - CSS
  - CSSOM
  - Method
  - Reference
  - supports
---
<div>{{APIRef("CSSOM")}}</div>

<p>The <code><strong>CSS.supports()</strong></code> method returns a {{jsxref("Boolean")}} value indicating if the browser supports a given CSS feature, or not.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">CSS.supports(<em>propertyName</em>, <em>value</em>);
CSS.supports(<em>supportCondition</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<p>There are two distinct sets of parameters. The first one allows to test the support of a pair <em>property-value</em>:</p>

<dl>
 <dt><code>propertyName</code></dt>
 <dd>A {{domxref("DOMString")}} containing the name of the CSS property to check.</dd>
 <dt><code>value</code></dt>
 <dd>A {{domxref("DOMString")}} containing the value of the CSS property to check.</dd>
</dl>

<p>The second syntax takes one parameter matching the condition of {{cssxref("@supports")}}:</p>

<dl>
 <dt><code>supportCondition</code></dt>
 <dd>A {{domxref("DOMString")}} containing the condition to check.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>true</code> if the browser supports the rule, otherwise <code>false</code>.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">result = CSS.supports("text-decoration-style", "blink");
result = CSS.supports("display: flex");
result = CSS.supports("(--foo: red)");

result = CSS.supports(`(transform-style: preserve) or (-moz-transform-style: preserve) or
                       (-o-transform-style: preserve) or (-webkit-transform-style: preserve)`);

// result is true or false</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Conditional', '#dom-css-supports', 'CSS: supports()') }}</td>
   <td>{{ Spec2('CSS3 Conditional') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSS.supports")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{cssxref("@supports")}} at-rule that allows for the same functionality but in a declarative way.</li>
 <li>The {{domxref("CSSSupportsRule")}} CSSOM class allowing to manipulate {{cssxref("@supports")}} at-rules.</li>
</ul>
